package com.trs.web2frame.tool.tyjyh.common;

import java.sql.Timestamp;
import java.util.HashMap;
import java.util.Map;
import java.util.Vector;

/**
 *
 *@auth <a href="mailto:zhang.yanan@trs.com.cn">ZhangYanan</a>
 */
public class ArticleInfo {
	
	//ID
	private String iD = "";
	//标题
	private String title = "";
	//副标题
	private String subTitle = "";
	//首页标题
	private String docPeople = "";
	//作者
	private String author = "";
	//摘要
	private String abscract = "";
	//关键字
	private String keyWords = "";
	//输入日期
	private Timestamp createDate;
	//正文
	private String Content = "";
	private String htmlContent = "";
	//文章所在栏目
	private String columnID = "";
	//文章在栏目中的排序
	private String orderid = "";
	//来源
	private String docSource = "";
	//附件
	private Vector<Appendix> app = new Vector<Appendix>();
	//类型
	private String docType = "";
	//外部文件
	private String docFileName = "";
	//外部文件路径
	private String docFilePath = "";
	//外部链接
	private String docLink = "";
	
	private Map<String, String> props = new HashMap<String, String>();

	public Vector<Appendix> getApp() {
		return app;
	}
	public void setApp(Vector<Appendix> app) {
		this.app = app;
	}
	public final String getOrderid() {
		return orderid;
	}
	public final void setOrderid(String orderid) {
		this.orderid = orderid;
	}
	public final String getAuthor() {
		return author;
	}
	public final void setAuthor(String author) {
		this.author = author;
	}
	public final String getAbscract() {
		return abscract;
	}
	public final void setAbscract(String brief) {
		this.abscract = brief;
	}
	public final String getColumnID() {
		return columnID;
	}
	public final void setColumnID(String columnID) {
		this.columnID = columnID;
	}
	public final String getContent() {
		return Content;
	}
	public final void setContent(String content) {
		Content = content;
	}
	public final String getHtmlContent() {
		return htmlContent;
	}
	public final void setHtmlContent(String htmlcontent) {
		htmlContent = htmlcontent;
	}
	public final Timestamp getCreateDate() {
		return createDate;
	}
	public final void setCreateDate(Timestamp createDate) {
		this.createDate = createDate;
	}
	public final String getID() {
		return iD;
	}
	public final void setID(String id) {
		iD = id;
	}
	public final String getKeyWords() {
		return keyWords;
	}
	public final void setKeyWords(String keyWords) {
		this.keyWords = keyWords;
	}

	public final String getTitle() {
		return title;
	}
	public final void setTitle(String title) {
		this.title = title;
	}
	public String getSubTitle() {
		return subTitle;
	}
	public void setSubTitle(String subTitle) {
		this.subTitle = subTitle;
	}
	public String getDocPeople() {
		return docPeople;
	}
	public void setDocPeople(String docPeople) {
		this.docPeople = docPeople;
	}
	public String getDocSource() {
		return docSource;
	}
	public void setDocSource(String docSource) {
		this.docSource = docSource;
	}
	public String getDocType() {
		return docType;
	}
	public void setDocType(String docType) {
		this.docType = docType;
	}
	public String getDocFileName() {
		return docFileName;
	}
	public void setDocFileName(String docFileName) {
		this.docFileName = docFileName;
	}
	public String getDocLink() {
		return docLink;
	}
	public void setDocLink(String docLink) {
		this.docLink = docLink;
	}
	public String getDocFilePath() {
		return docFilePath;
	}
	public void setDocFilePath(String docFilePath) {
		this.docFilePath = docFilePath;
	}
	public void setProperty(String key, String value) {
		this.props.put(key, value);
	}
	public String getProperty(String key) {
		return this.props.get(key);
	}
	
	public void setProperties(Map map) {
		this.props = map;
	}
	public Map getProperties() {
		return this.props;
	}


}
